Bug 97308 - FORMATTING: Conditional "Ends with" applies formatting to inverted selection
Summary: FORMATTING: Conditional "Ends with" applies formatting to inverted selection
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.2.0 target:5.1.1 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-22 03:35 UTC by Matthew Millar
Modified: 2016-10-25 19:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODS with conditional purple background for cells ending with 11 (18.75 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-01-22 03:35 UTC, Matthew Millar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Millar 2016-01-22 03:35:59 UTC
Created attachment 122136 [details]
ODS with conditional purple background for cells ending with 11

Conditional formatting selection is inverted for "Ends with" conditions.

Hence all the non-conformant cells are formatted with the conditional style and all conformat cells are left unformatted.

Fault does not exist for "Begins with" conditions.
Comment 1 m.a.riosv 2016-01-22 10:45:38 UTC
Hi @Matthew, thanks for reporting.

Reproducible.
Win7x64
Version: 5.0.5.1 (x64) Build ID: 7609023f63524a6c8326f6c82e7e23f55a5b7bb5
Comment 2 Julien Nabet 2016-01-22 19:18:50 UTC
I'll give it a try
Comment 3 A (Andy) 2016-01-23 08:42:43 UTC
Reproducible with LO 5.1.0.2, Win 8.1
Comment 4 Commit Notification 2016-01-23 09:34:54 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0a4ea3c636fc18cca6a3b2f9391996fb909e81f

tdf#97308: fix logic with conditional "ends with"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2016-01-23 10:48:47 UTC
Gerrit review for 5.1: https://gerrit.libreoffice.org/#/c/21730/
for 5.0: https://gerrit.libreoffice.org/#/c/21731/
Comment 6 Commit Notification 2016-01-24 15:14:45 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64b23ff688fc4ba3fc0205094380f072fd98b5b5&h=libreoffice-5-1

tdf#97308: fix logic with conditional "ends with"

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-01-25 09:48:35 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cd87519d7a9d97b58fafff25280bd77fe04ab25&h=libreoffice-5-0

tdf#97308: fix logic with conditional "ends with"

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-01-27 07:50:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4dc18dd3abf78b8451334e093dc84fb289a83336

add test for tdf#97308

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.